org.eclipse.e4.ui.model.application.ui.menu

## Interface MToolBarContributions

All Known Subinterfaces:
  MApplication

    public interface MToolBarContributions

A representation of the model object 'Tool Bar Contributions'.

Provisional for 4.3. This is a container aggregating the toolbar contributions to be applied to existing toolbars.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Tool Bar Contributions`
Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<MToolBarContribution>` `getToolBarContributions()` Returns the value of the 'Tool Bar Contributions' containment reference list.

### Method Detail

#### getToolBarContributions

    List<MToolBarContribution> getToolBarContributions()

Returns the value of the 'Tool Bar Contributions' containment reference list. The list contents are of type `MToolBarContribution`.

Developers: Add more detailed documentation by editing this comment in org.eclipse.ui.model.workbench/model/UIElements.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Tool Bar Contributions' containment reference list.